com.oracle.email.dao

## Class UserFolderMessageDAO

- java.lang.Object
- - com.oracle.email.dao.BaseDAO
  - - com.oracle.email.dao.UserFolderMessageDAO

-     public class UserFolderMessageDAO
      extends BaseDAO

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFolderMessageDAO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createTable()` Each DAO class need to define how to create the table
    `java.util.List<MessageTO>` | `getMessageIds(java.lang.String userId, java.lang.String folderId)` Method returns the list of messageIds when userId and folderId is passed as an input argument.

    - ### Methods inherited from class com.oracle.email.dao.BaseDAO

      `getHostPort, getKVStore, getStoreName, getTable, getTableAPI, getTableRows, main, setHostPort, setStoreName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserFolderMessageDAO

          public UserFolderMessageDAO()

  - ### Method Detail

    - #### createTable

          public void createTable()

      Description copied from class: `BaseDAO`
      Each DAO class need to define how to create the table
      Specified by:
        `createTable` in class `BaseDAO`

    - #### getMessageIds

          public java.util.List<MessageTO> getMessageIds(java.lang.String userId,
                                                         java.lang.String folderId)

      Method returns the list of messageIds when userId and folderId is passed as an input argument. In business sense when you need all the messages in a folder 'folderId' for user 'userId' you would use this method.
      Parameters:
        `userId` - - unique key of User table
        `folderId` - - unique key of folder table
      Returns:
        List of MessageTO for a user by userId and in the folder by folderId